List Deals
curl --request GET \
--url https://integration.getmateo.com/api/v1/deal \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/deal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/deal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"type_key": "<string>",
"status_key": "<string>",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"currency": "EUR",
"won_at": "<string>",
"lost_at": "<string>"
}
]Deal
List Deals
Retrieve a list of deals
List Deals
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Latest update
Organisation ID
Contact ID
Name of the deal
External ID
Type Key
Status Key
Assignee ID
Value of the deal
Currency of the deal
Won at timestamp
Lost at timestamp
Filtering Columns
Ordering. Allowed Fields: lost_at, won_at
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Latest update
Organisation ID
Contact ID
Name of the deal
External ID
Type Key
Status Key
Assignee ID
Value of the deal
Currency of the deal
Available options:
EUR, CHF, USD Won at timestamp
Lost at timestamp